# $Revision: 1.18 $, $Date: 2002/04/11 00:08:04 $
Summary:	A hacked version of wmmixer to make it use ALSA
Summary(pl):	Wersja wmmixer przerobiona tak, by uywaa ALSA
Name:		wmmixer-alsa
Version:	0.6
Release:	1
License:	GPL
Group:		Applications/Sound
Source0:	http://iznogood.bohemians.org/wmmixer-alsa/%{name}-%{version}.tar.gz
URL:		http://iznogood.bohemians.org/
BuildRequires:	XFree86-devel
BuildRequires:	alsa-lib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
A hacked version of wmmixer by Sam Hawker (see README.wmmixer), to
make it use ALSA (Advanced Linux Sound Architecture) in stead of the
OSS sound drivers in the linux kernel. To compile and run this
program, you will need to get alsa-driver and alsa-lib packages.

%description -l pl
Wersja wmmixera autorstwa Sama Hawkera (patrz README.wmmixer),
przerobionaa tak, by uywaa sterownikw ALSA zamiast OSS.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/pixmaps}

install wmmixer-alsa $RPM_BUILD_ROOT%{_bindir}
install XPM/{icons,wmmixer}.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wmmixer-alsa
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmmixer-alsa.spec,v $
Revision 1.18  2002/04/11 00:08:04  kloczek
- pass CC="%%{__cc}" in make parameters and few cosmetics.

Revision 1.17  2002/04/06 11:26:40  bartowl
- added BuildRequires: XFree86-devel

Revision 1.16  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:15:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/12/20 12:05:09  qboosh
- pl description

Revision 1.13  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.12  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.11  2001/01/04 13:20:14  zagrodzki
- don't insert tile.xpm

Revision 1.10  2001/01/04 13:18:28  zagrodzki
- updated to 0.6
- adapterized
- buildrequires: alsa-lib-devel

Revision 1.9  2000/06/09 07:55:14  kloczek
- more %%{__make} macros.

Revision 1.8  2000/05/02 21:23:34  baggins
- fixed version, minor cleanup

Revision 1.7  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.5  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jan 11 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- First release
